Full name: projects.locations.metadataStores.artifacts.patch
Updates a stored Artifact.
Endpoint
patchhttps://{service-endpoint}/v1beta1/{artifact.name}
PATCH https://{service-endpoint}/v1beta1/{artifact.name}
Where {service-endpoint} is one of the supported service endpoints.
Path parameters
artifact.namestring
Output only. The resource name of the Artifact.
Query parameters
Optional. A FieldMask indicating which fields should be updated.
This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".
Request body
The request body contains an instance of Artifact.
Response body
If successful, the response body contains an instance of Artifact.
IAM Permissions
Requires the following IAM permission on the name resource:
aiplatform.artifacts.update
For more information, see the IAM documentation.